SAM_DATA_GETSIZE(3)

NAME

sam_data_getsize - Return size of stored data in bytes

SYNOPSIS

#include <corosync/sam.h>

cs_error_t sam_data_getsize (size_t *size);

DESCRIPTION

The sam_data_getsize function is used to return size of stored data. Size is returned in bytes. If user data is NULL, zero is returned. Function is intended to be used before sam_data_restore(3) call to properly allocate buffer for restored data.

RETURN VALUE

This call return CS_OK value if successful, otherwise and error is returned.

ERRORS

CS_ERR_BAD_HANDLE
    component was not initialized by calling sam_initialize(3) or it was finalized.

CS_ERR_INVALID_PARAM
    size parameter is NULL

SEE ALSO
sam_data_store(3), sam_data_restore(3)

CS_ERR_TRY_AGAIN Resource temporarily unavailable CS_ERR_INVALID_PARAM Invalid argument CS_ERR_ACCESS Permission denied CS_ERR_LIBRARY The connection failed CS_ERR_INTERRUPT System call interrupted by a signal CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported CS_ERR_MESSAGE_ERROR Incorrect auth message received CS_ERR_NO_MEMORY Not enough memory to complete the requested task